aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile8
-rw-r--r--VERSION4
-rw-r--r--cabal/cabal.sh3
-rw-r--r--cabal/profile.d/cabal.sh3
-rw-r--r--cargo/profile.d/cabal.sh3
-rw-r--r--git/config.mi51
6 files changed, 20 insertions, 2 deletions
diff --git a/Makefile b/Makefile
index 96c706cf..e7256214 100644
--- a/Makefile
+++ b/Makefile
@@ -9,6 +9,8 @@
install-bash-completion \
install-bin \
install-bin-man \
+ install-cabal \
+ install-cargo \
install-cpanm \
install-curl \
install-dillo \
@@ -392,6 +394,12 @@ install-bin-man:
cp -p -- man/man1/*.1df $(XDG_DATA_HOME)/man/man1
cp -p -- man/man8/*.8df $(XDG_DATA_HOME)/man/man8
+install-cabal:
+ cp -p -- cabal/profile.d/*.sh $(HOME)/.profile.d
+
+install-cargo:
+ cp -p -- cargo/profile.d/*.sh $(HOME)/.profile.d
+
install-cpanm:
cp -p -- cpanm/profile.d/*.sh $(HOME)/.profile.d
diff --git a/VERSION b/VERSION
index a0fec0ae..3d341109 100644
--- a/VERSION
+++ b/VERSION
@@ -1,2 +1,2 @@
-tejr dotfiles v10.26.0
-Fri, 12 Feb 2021 12:59:48 +0000
+tejr dotfiles v11.0.0
+Mon, 22 Feb 2021 10:57:53 +0000
diff --git a/cabal/cabal.sh b/cabal/cabal.sh
new file mode 100644
index 00000000..b5730916
--- /dev/null
+++ b/cabal/cabal.sh
@@ -0,0 +1,3 @@
+# Include user-built Haskell programs if the dir exists
+[ -d "$HOME"/.cabal/bin ] || return
+PATH=$HOME/.cabal/bin:$PATH
diff --git a/cabal/profile.d/cabal.sh b/cabal/profile.d/cabal.sh
new file mode 100644
index 00000000..b5730916
--- /dev/null
+++ b/cabal/profile.d/cabal.sh
@@ -0,0 +1,3 @@
+# Include user-built Haskell programs if the dir exists
+[ -d "$HOME"/.cabal/bin ] || return
+PATH=$HOME/.cabal/bin:$PATH
diff --git a/cargo/profile.d/cabal.sh b/cargo/profile.d/cabal.sh
new file mode 100644
index 00000000..b5730916
--- /dev/null
+++ b/cargo/profile.d/cabal.sh
@@ -0,0 +1,3 @@
+# Include user-built Haskell programs if the dir exists
+[ -d "$HOME"/.cabal/bin ] || return
+PATH=$HOME/.cabal/bin:$PATH
diff --git a/git/config.mi5 b/git/config.mi5
index 304be811..8456cc74 100644
--- a/git/config.mi5
+++ b/git/config.mi5
@@ -8,6 +8,7 @@
output = compact
[init]
+ defaultBranch = master
templateDir = <% XDG_CONFIG_HOME %>/git/template
[log]